JUCE: containers

JUCE

Functions
containers
juce_core

## Functions
JUCE_API bool | operator== (const var &, const var &)
| Compares the values of two var objects, using the var::equals() comparison. More...
JUCE_API bool | operator!= (const var &, const var &)
| Compares the values of two var objects, using the var::equals() comparison. More...
JUCE_API bool | operator< (const var &, const var &)
| Compares the values of two var objects, using the var::equals() comparison. More...
JUCE_API bool | operator<= (const var &, const var &)
| Compares the values of two var objects, using the var::equals() comparison. More...
JUCE_API bool | operator> (const var &, const var &)
| Compares the values of two var objects, using the var::equals() comparison. More...
JUCE_API bool | operator>= (const var &, const var &)
| Compares the values of two var objects, using the var::equals() comparison. More...
JUCE_API bool | operator== (const var &, const String &)
JUCE_API bool | operator!= (const var &, const String &)
JUCE_API bool | operator== (const var &, const char *)
JUCE_API bool | operator!= (const var &, const char *)

## Detailed Description

## Function Documentation

## ◆ operator==() [1/3]

JUCE_API bool operator== | ( | const var & | ,
|  | const var & |
| ) |  |

Compares the values of two var objects, using the var::equals() comparison.

Referenced by AudioProcessorGraph::NodeAndChannel::operator!=(), and MPEZoneLayout::Zone::operator!=().

## ◆ operator!=() [1/3]

JUCE_API bool operator!= | ( | const var & | ,
|  | const var & |
| ) |  |

Compares the values of two var objects, using the var::equals() comparison.

## ◆ operator<()

JUCE_API bool operator< | ( | const var & | ,
|  | const var & |
| ) |  |

Compares the values of two var objects, using the var::equals() comparison.

## ◆ operator<=()

JUCE_API bool operator<= | ( | const var & | ,
|  | const var & |
| ) |  |

Compares the values of two var objects, using the var::equals() comparison.

## ◆ operator>()

JUCE_API bool operator> | ( | const var & | ,
|  | const var & |
| ) |  |

Compares the values of two var objects, using the var::equals() comparison.

## ◆ operator>=()

JUCE_API bool operator>= | ( | const var & | ,
|  | const var & |
| ) |  |

Compares the values of two var objects, using the var::equals() comparison.

## ◆ operator==() [2/3]

JUCE_API bool operator== | ( | const var & | ,
|  | const String & |
| ) |  |

## ◆ operator!=() [2/3]

JUCE_API bool operator!= | ( | const var & | ,
|  | const String & |
| ) |  |

## ◆ operator==() [3/3]

JUCE_API bool operator== | ( | const var & | ,
|  | const char * |
| ) |  |

## ◆ operator!=() [3/3]

JUCE_API bool operator!= | ( | const var & | ,
|  | const char * |
| ) |  |